quasardb C API: Suffix-based operations

quasardb C API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Suffix-based operations

## Functions
QDB_API_LINKAGE qdb_error_t | qdb_suffix_get (qdb_handle_t handle, const char *suffix, qdb_int_t max_count, const char ***results, size_t *result_count)
| Retrieves the list of all entries matching the provided suffix. More...
QDB_API_LINKAGE qdb_error_t | qdb_suffix_count (qdb_handle_t handle, const char *suffix, qdb_uint_t *result_count)
| Retrieves the count of all entries matching the provided suffix. More...
QDB_API_LINKAGE qdb_error_t | qdb_suffix_approximate_count (qdb_handle_t handle, const char *suffix, qdb_uint_t *result_count)
| Retrieves the approximate count of all entries matching the provided suffix. More...

## Detailed Description

## Function Documentation

QDB_API_LINKAGE qdb_error_t qdb_suffix_approximate_count | ( | qdb_handle_t | handle,
|  | const char * | suffix,
|  | qdb_uint_t * | result_count
| ) |  |

Retrieves the approximate count of all entries matching the provided suffix.

A suffix-based count counts all entries matching a provided suffix.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | suffix | A pointer to a null-terminated UTF-8 string representing the desired suffix
  [out] | result_count | A pointer to an integer giving the results count

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_suffix_count | ( | qdb_handle_t | handle,
|  | const char * | suffix,
|  | qdb_uint_t * | result_count
| ) |  |

Retrieves the count of all entries matching the provided suffix.

A suffix-based count counts all entries matching a provided suffix.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | suffix | A pointer to a null-terminated UTF-8 string representing the desired suffix
  [out] | result_count | A pointer to an integer giving the results count

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_suffix_get | ( | qdb_handle_t | handle,
|  | const char * | suffix,
|  | qdb_int_t | max_count,
|  | const char *** | results,
|  | size_t * | result_count
| ) |  |

Retrieves the list of all entries matching the provided suffix.

A suffix-based search will enable you to find all entries matching a provided `suffix`.

This function returns the list of aliases. It's up to the user to query the content associated with every entry, if needed.

Parameters

  | handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  | suffix | A pointer to a null-terminated UTF-8 string representing the desired suffix
  | max_count | An integer limiting the number of results returned by the function
  [out] | results | A pointer to a list of results
  [out] | result_count | A pointer to an integer giving the results count

Returns
  A qdb_error_t code indicating success or failure.

See Also
  qdb_release